[song]
name = Fooling Yourself (The Angry Young Man)
artist = Styx
album = The Grand Illusion
genre = Progressive Rock
year = 1977
song_length = 333866
charter = Caret
diff_guitar = 5
preview_start_time = 135850
icon = csc
album_track = 2
loading_phrase = It was commonly believed that all Styx members were gay. Nope, it's just Chuck Panozzo!

